> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an integration

> Retrieve a redacted integration for the authenticated organization.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/integrations/{integrationId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/{integrationId}:
    get:
      tags:
        - Integrations
      summary: Retrieve an integration
      description: Retrieve a redacted integration for the authenticated organization.
      operationId: retrieveIntegration
      parameters:
        - in: path
          name: integrationId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Retrieve an integration
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  displayName:
                    type: string
                  enabledAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  id:
                    type: string
                  lastSyncedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  repositoryCount:
                    type: integer
                    minimum: 0
                  sourceCount:
                    type: integer
                    minimum: 0
                  type:
                    type: string
                    minLength: 1
                    maxLength: 100
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - createdAt
                  - displayName
                  - enabledAt
                  - id
                  - lastSyncedAt
                  - repositoryCount
                  - sourceCount
                  - type
                  - updatedAt
                additionalProperties: false
        '400':
          description: Invalid request or missing organization scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````